Subject: Re: [Bugme-new] [Bug 14837] New: gretap does not fragment IP packets

From: Benoit PAPILLAULT <[email-masked]>
Date: Sun, 10 Jan 2010 18:43:56 +0100

Hello Jamal,

jamal a écrit :
> Salut Benoit,
>
> I didnt see any patch...
>
> Also did you try changing the mtu per suggestion i made?
>   
I cannot changed the MTU by design since I need to have the gretap 
interface be part of an Ethernet bridge.
> People tend to be busy and sometimes dont read the mailing list. To
> get proper answers, always CC the maintainers. In this case CC Stephen
> Hemminger - he maintains the bridging code. I am ccing Herbert Xu as
> well - he may have opinions on the gre side of things. My suggestion is
> you repost your issue along with your patch and describe why it solves
> your problem.
>   
I know people can be busy, I am just trying to push things forward. 
Original bug is there :
http://bugzilla.kernel.org/show_bug.cgi?id=14837

Patch is available here :
http://bugzilla.kernel.org/attachment.cgi?id=24332

This patch fixes my issue since either packets get fragmented or an ICMP 
error packet is sent back to the sender.

Regards,
Benoit
PS: Congrats to Herbert Xu which fixes a bug in gretap before I had the 
time to report it (was about the broadcast addr which was incorrect).

> cheers,
> jamal